System files are corrupted - v3.4

Discussion in 'Wii - Hacking' started by winz3000, Dec 1, 2009.

Dec 1, 2009
  1. winz3000
    OP

    Newcomer winz3000 Newbie

    Joined:
    Dec 1, 2009
    Messages:
    4
    Country:
    United Kingdom
    Hi all,

    I've been a complete idiot and missed this step below when running through a tutorial for softmod and have put priiloader on.

    **4. UPDATE YOUR SYSTEM MENU VERSION (OPTIONAL)

    This step is optional unless you are on 3.3 or 3.4, you may upgrade now if you wish, boot2 v4 owners cannot downgrade! but can upgrade if you want. If you want to update to 4.1 then make sure you have at least 250 blocks free or you will brick, install IOS60-patched first (step 5a), then run Firmware Updater 4.1. If you are on 3.3 or 3.4 then you must update now - DO NOT install priiloader until you have updated as it will cause untold problems!.**

    When I boot the wii it loads into priiloader and can get into the HBC so I can add apps onto the SD card and install WADS etc.
    What can I do??...I done this for a favour for a friends wii and dont want to have to tell him I've ruined it.

    Will running Firmware Updater 4.1 fix it? If it will how can I configure wifi settings to download the firmware? Is there a way of getting the updater files without downloading?

    I've also just come across wii-system-menu-update-PAL-v290.rar semi-brick fix disc download. Would this be any good?

    Any help with be greatly appreciated,

    Thanks,
    Martyn
     
  2. Szalkow

    Member Szalkow RawkSD Cheerleader

    Joined:
    Jul 9, 2009
    Messages:
    673
    Location:
    Uni
    Country:
    United States
    In general, if you need to install specific IOSes or System Menus, the way to do it would be to download the appropriate IOS as a wad using NUS Downloader 1.3b and then install that using a WAD Manager.

    In this case, though, I'm not 100% sure what you're doing. It sounds like you're following a 4.1 safe-update guide? Some more background on what you've done so far, which guide you're using, and where you deviated from the guide would all make pinpointing your problem much easier. Also important: is this a pre- or post-LU64 Wii? As in, were you able to install bootmii boot2 and downgrade IOSes?

    Please DO NOT try installing random bits of firmware or running repair tools to hopefully fix it, as the solution is probably easy to trace and fix once we know what's wrong.
     
  3. bazamuffin

    Member bazamuffin RESIDENT DILF

    Joined:
    Feb 1, 2009
    Messages:
    2,036
    Location:
    Shmashmortion Clinic
    Country:
    United Kingdom
    I agree with Szalkow, we need a bit more information. Link to the guide please? Stop trying ANYTHING else for the mo. You can simply download the latest IOS's and 4.1x system menu WADs using NUSD 1.3b for an offline install. If you have Priiloader installed, can you change the system menu IOS in the settings?
     
  4. razorback78

    Member razorback78 GBAtemp Maniac

    Joined:
    Aug 3, 2009
    Messages:
    1,183
    Country:
    Philippines
  5. Davidson

    Newcomer Davidson Newbie

    Joined:
    Apr 28, 2009
    Messages:
    7
    Country:
    United States
    It's not a full brick if you can fix it...
     
  6. tj_cool

    Supervisor tj_cool Stuff

    Joined:
    Jan 7, 2009
    Messages:
    9,940
    Location:
    This planet
    Country:
    Belgium
    Full brick = System menu is completely unusable
    So it can be fixed with preloader/bootmii (which are not part of the system menu)
     
  7. winz3000
    OP

    Newcomer winz3000 Newbie

    Joined:
    Dec 1, 2009
    Messages:
    4
    Country:
    United Kingdom
    Thanks for your replies.

    I followed this guide:
    http://www.wiihacks.com/recommended-faqs-g...od-any-wii.html

    I followed it to number 4 where I stupidly skipped it, (forgot I was working on a 3.4 system) didnt backup the NAND and continued on and completed 5c and 5d and thats when I first got the error saying the system files are corrupted.

    What I was going to do is download system menu 4.1 as a wad from NUS downloader and install it.

    I was able to install bootmii boot2 and downgrade IOSes (as followed in the guide on wiihacks)

    Hope this helps?
     
  8. Szalkow

    Member Szalkow RawkSD Cheerleader

    Joined:
    Jul 9, 2009
    Messages:
    673
    Location:
    Uni
    Country:
    United States
    So you didn't update, staying at 3.4, and then you installed Priiloader? Relatively easy fix. If you've updated all the IOSes as per the guide, you should be able to update yourself.

    Grab the System Menu 4.1 wad for your region with NUSD, install the IOS60patch again to be sure, and then install SM 4.1. This will remove Preloader (and might remove the Homebrew Channel, but you can always BannerBomb-install it again). After that, you should have a working System Menu with HBC and will be able to install Priiloader.

    If you aren't sure about installing all the IOSes, you could try the Firmware 4.1 Updater; 4.0/4.1 updaters are a little risky, but this one seems to still work for most users if the responses in the guide's thread are anything to go by. If the SM4.1 wad install gives you any problems or missing compatibilities, try the updater.

    Give it a go and let us know if you have any problems.
     
  9. XFlak

    Member XFlak Wiitired but still kicking

    Joined:
    Sep 12, 2009
    Messages:
    9,122
    Location:
    Ontario
    Country:
    Canada
    the above wont uninstall the HBC, if you are updating to 4.2, then it may uninstall, but not if updating to 4.1
     
  10. winz3000
    OP

    Newcomer winz3000 Newbie

    Joined:
    Dec 1, 2009
    Messages:
    4
    Country:
    United Kingdom
    Thank you again.

    I will give installing the system menu 4.1 wad once I've downloaded it.

    I've also received this:

    Okay i did the same thing you should be okay though. To start the wii for the mean time use ios36 in the settings menu.

    Here is what you should do:

    Quote:
    Originally Posted by mauifrog
    So preloader needs to be removed and the wii needs to be upgraded to 4.1, then preloader is reinstalled.

    You can do this by placing wadmanagers boot.dol on the root of your sd-card
    You need to download IOS50 v4889 and place in sd:\wads
    You need to download system menu 3.4. wad in your region and place in sd:\wads
    3.4u
    3.4e
    3.4j
    You then hold reset and boot the wii
    Preloader will start
    click load/instal
    load boot.dol
    wadmanager starts
    use ios249
    install ios50
    then
    install system menu 3.4
    then
    goto 3.1-4.1 guide linked below
    Install the patchedios60, upgrade to 4.1, reinstall priiloader

    That should fix it.
    I had to run wad manager from HBC because it wouldnt load ios249 from preloader. It worked that way okay. I literally just went through this so if you have any questions post them up
     
  11. Szalkow

    Member Szalkow RawkSD Cheerleader

    Joined:
    Jul 9, 2009
    Messages:
    673
    Location:
    Uni
    Country:
    United States
    All of that can be abbreviated to:
    1. Boot into HBC from Preloader/BootMii to access Wad Manager and Preloader installer
    2. Use Wad Manager to install IOS50 v4889 (older, working IOS50 used with SM 3.4) and then SM 3.4 (reinstalls it clean)
    3. Use Wad Manager to install IOS60patched (used with SM4.0/1, maintains homebrew capability) and then SM 4.1 (updating SM)
    4. Install Priiloader

    Which is pretty much what we've covered. Reinstalling SM 3.4 probably helps avoid problems with having Priiloader installed. Go for it.
     
  12. longtom1

    Member longtom1 Keep an eye on my posts cause I quick edit frequen

    Joined:
    Jan 12, 2009
    Messages:
    2,641
    Location:
    Honey Oils inc.
    Country:
    Antarctica
    could use dop-ios from HBC to do all needed IOS's and System menu
     
  13. razorback78

    Member razorback78 GBAtemp Maniac

    Joined:
    Aug 3, 2009
    Messages:
    1,183
    Country:
    Philippines
    i think you should read the title: "system files are corrupted-v3.4" it means that his system menu is not accessible; thus, a full brick.
     
  14. winz3000
    OP

    Newcomer winz3000 Newbie

    Joined:
    Dec 1, 2009
    Messages:
    4
    Country:
    United Kingdom
    Thanks all for your replies. Managed to fix it last night and upgrade it to 4.1 and successfully softmod it.

    I loaded up into HBC from bootmii, went into wad manager, used ios249, installed ios50 then installed system menu 3.4 wad which put me back to a fully operating system...phew.
    I then followed the guide 'carefully' (lol) to softmod and job done!
     

Share This Page